Skip to main content
PATCH
/
api
/
email
/
campaign
/
{campaignId}
{
  "_id": "<string>",
  "cancelledAt": "<string>",
  "createdAt": "<string>",
  "failedCount": 123,
  "previewImageUrl": "<string>",
  "scheduledAt": "<string>",
  "sentCount": 123,
  "status": "<string>",
  "subStatus": null,
  "totalRecipients": 123,
  "updatedAt": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key authentication

Path Parameters

campaignId
string
required

Response

Successfully updated

_id
string

Id of the campaign

cancelledAt
string | null

Timestamp when the campaign was cancelled or failed

createdAt
string

Date and time of creation

failedCount
number

Failed sent count

previewImageUrl
string

Email Preview Image Url

scheduledAt
string

Date and time of scheduled email

sentCount
number

Successfully sent count

status
string

Status of the campaign

subStatus
enum<string> | null

Granular failure/cancellation reason. Null for non-failure states or legacy campaigns.

Available options:
null
totalRecipients
number

Total email recipients

updatedAt
string

Date and time of last update